CCA: Get zero correlation probability...

Get the probability that for the selected CCA object the chosen canonical correlation coefficient is different from zero.

## Setting

Index
  is the index of the canonical correlation coefficient that you want to test.

## Algorithm

Wilks' statistic: the probability that coefficient ρindex differs from zero is

probability = chiSquareQ (χ2, ndf),

where the number of degrees of freedom parameter equals

ndf = (ny - index +1)(nx - index +1)

and the chi-squared parameter is

χ2 = –(numberOfObservations - (ny + nx +3)/2) log (Λindex),

In the formulas above the variables ny and nx are the dimensions of the dependent and the independent data sets whose canonical correlations have been obtained, and Wilks' lambda is:

Λindex = Πi=index..min(ny,nx) (1 – ρi2)